rpm 5.2.1

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- Data Structures
- Data Fields

Data Fields
hashBucket_s Struct Reference
Collaboration diagram for hashBucket_s:
[legend]

## Data Fields

voidptr | key
voidptr * | data
int | dataCount
hashBucket | next

## Detailed Description

Definition at line 21 of file rpmhash.c.

## Field Documentation

voidptr* hashBucket_s::data

pointer to hashed data

Definition at line 23 of file rpmhash.c.

Referenced by htAddEntry(), htFini(), htGetEntry(), and htGetKeys().

int hashBucket_s::dataCount

length of data (0 if unknown)

Definition at line 24 of file rpmhash.c.

Referenced by htAddEntry(), and htGetEntry().

voidptr hashBucket_s::key

hash key

Definition at line 22 of file rpmhash.c.

Referenced by findEntry(), htAddEntry(), htFini(), htGetEntry(), and htGetKeys().

hashBucket hashBucket_s::next

pointer to next item in bucket

Definition at line 25 of file rpmhash.c.

Referenced by findEntry(), htAddEntry(), htFini(), and htGetKeys().

The documentation for this struct was generated from the following file:

- rpmio/rpmhash.c